AlmaLinux 2227 Published by

A freerdp security update has been released for AlmaLinux 9.



ALSA-2023:2326 Moderate: freerdp security update


Type:
security

Severity:
moderate

Release date:
2023-05-12

Description
Security Fix(es):
* freerdp: clients using `/parallel` command line switch might read uninitialized data (CVE-2022-39282)
* freerdp: clients using the `/video` command line switch might read uninitialized data (CVE-2022-39283)
* freerdp: out of bounds read in zgfx decoder (CVE-2022-39316)
* freerdp: undefined behaviour in zgfx decoder (CVE-2022-39317)
* freerdp: division by zero in urbdrc channel (CVE-2022-39318)
* freerdp: missing length validation in urbdrc channel (CVE-2022-39319)
* freerdp: heap buffer overflow in urbdrc channel (CVE-2022-39320)
* freerdp: missing path sanitation with `drive` channel (CVE-2022-39347)
* freerdp: missing input length validation in `drive` channel (CVE-2022-41877)
For more details about the security issue(s), including the impact, a CVSS score, acknowledgments, and other related information, refer to the CVE page(s) listed in the References section.
Additional Changes:
For detailed information on changes in this release, see the AlmaLinux Release Notes linked from the References section.

References:
RHSA-2023:2326
CVE-2022-39282
CVE-2022-39283
CVE-2022-39316
CVE-2022-39317
CVE-2022-39318
CVE-2022-39319
CVE-2022-39320
CVE-2022-39347
CVE-2022-41877
ALSA-2023:2326

Updates packages:
libwinpr-2.4.1-5.el9.i686.rpm
freerdp-libs-2.4.1-5.el9.i686.rpm
libwinpr-2.4.1-5.el9.aarch64.rpm
freerdp-libs-2.4.1-5.el9.aarch64.rpm
freerdp-2.4.1-5.el9.aarch64.rpm
freerdp-2.4.1-5.el9.x86_64.rpm
freerdp-libs-2.4.1-5.el9.x86_64.rpm
libwinpr-2.4.1-5.el9.x86_64.rpm
freerdp-libs-2.4.1-5.el9.ppc64le.rpm
freerdp-2.4.1-5.el9.ppc64le.rpm
libwinpr-2.4.1-5.el9.ppc64le.rpm
freerdp-2.4.1-5.el9.s390x.rpm
libwinpr-2.4.1-5.el9.s390x.rpm
freerdp-libs-2.4.1-5.el9.s390x.rpm
libwinpr-devel-2.4.1-5.el9.i686.rpm
freerdp-devel-2.4.1-5.el9.i686.rpm
libwinpr-devel-2.4.1-5.el9.ppc64le.rpm
freerdp-devel-2.4.1-5.el9.ppc64le.rpm
freerdp-devel-2.4.1-5.el9.x86_64.rpm
libwinpr-devel-2.4.1-5.el9.x86_64.rpm
freerdp-devel-2.4.1-5.el9.aarch64.rpm
libwinpr-devel-2.4.1-5.el9.aarch64.rpm
libwinpr-devel-2.4.1-5.el9.s390x.rpm
freerdp-devel-2.4.1-5.el9.s390x.rpm

Notes:
This page is generated automatically from Red Hat security data and has not been checked for errors. For clarification or corrections please contact the AlmaLinux Packaging Team.

  ALSA-2023:2326 Moderate: freerdp security update